XPlanner

Docs

Cancel scheduled shipment

It moves the planned or queued shipment to canceled status.


POST

/posts/{id}/cancel

posts:schedule, posts:write (eski uyumluluk)

Header'lar

Authorization

*
string

API key. Format: Bearer xpl_live_...

Idempotency-Key

*
string

Unique value of 1-255 characters to safely retry the same write request.

Content-Type

string

Use application/json when sending JSON body.

Cevaplar

200

The shipment has been cancelled.

404

Post not found or not available.

cURL

curl -X POST https://api.xplanner.co/v1/posts/post_123/cancel \  -H "Authorization: Bearer $XPLANNER_API_KEY" \  -H "Idempotency-Key: post-cancel-001"

Cevap

{  "data": {    "id": "post_123",    "status": "canceled",    "title": "Haftalık güncelleme",    "text": "Bu hafta ürün tarafında şunları çözdük...",    "scheduledAt": null,    "media": [],    "mediaRefs": [],    "mediaMetadata": [],    "xPostId": null,    "createdAt": "2026-05-15T09:00:00.000Z",    "updatedAt": "2026-05-15T10:00:00.000Z"  },  "requestId": "req_123"}